_Elm_Toolbar_Item_State Struct Reference

State of a Elm_Toolbar_Item. More...

`#include <elm_toolbar_item_eo.legacy.h>`

## Data Fields

const char * | label
| Item label.
const char * | icon_str
| Item icon string.
Efl_Canvas_Object * | icon
| Item icon.
Evas_Smart_Cb | func
| Item callback function.
const void * | data
| Item data.

## Detailed Description

State of a Elm_Toolbar_Item.

Can be created with elm_toolbar_item_state_add() and removed with elm_toolbar_item_state_del().